Method: projects.locations.operations.get

  • This endpoint retrieves the latest status of a long-running operation by polling the API service.

  • The HTTP request uses a GET method with a URL that follows gRPC Transcoding syntax, including a path parameter called name.

  • The request body must be empty, with all information about the operation being retrieved through the URL.

  • A successful response returns an Operation instance containing the requested data.

  • Access to this endpoint requires OAuth scope https://www.googleapis.com/auth/cloud-platform and the routeoptimization.operations.get IAM permission.

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

HTTP request

GET https://routeoptimization.googleapis.com/v1/{name=projects/*/locations/*/operations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

The name of the operation resource.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • routeoptimization.operations.get

For more information, see the IAM documentation.